Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1085380 - Dialog is not highlighted if VM cannot be created before clicking to "Show Advanced Options"
Summary: Dialog is not highlighted if VM cannot be created before clicking to "Show Ad...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Tomas Jelinek
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
: 1008426 (view as bug list)
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-08 13:25 UTC by Petr Spacek
Modified: 2015-02-11 18:00 UTC (History)
11 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Previously, when trying to save a virtual machine editing window in the User Portal with validation errors, users cannot see the error message and would try to save it with a failed attempt. The error message was only available if the user clicked on 'Show Advanced Options'. With this update, users can now see the advanced options and the error message when attempting to save with validation errors.
Clone Of:
Environment:
Last Closed: 2015-02-11 18:00:31 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
advanced options dialog with highlighted error (deleted)
2014-04-08 13:25 UTC, Petr Spacek
no flags Details
dialog without advanced options - error highlighting is missing here (deleted)
2014-04-08 13:26 UTC, Petr Spacek
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28979 master MERGED userportal,webadmin: show advanced options on validation error Never
oVirt gerrit 30666 ovirt-engine-3.5 MERGED userportal,webadmin: show advanced options on validation error Never

Description Petr Spacek 2014-04-08 13:25:09 UTC
Description of problem:
Dialog is not highlighted if VM cannot be created before clicking to "Show Advanced Options". See steps to reproduce.

Version-Release number of selected component (if applicable):
3.3.1-0.48.el6ev

How reproducible:
100 %

Steps to Reproduce:
1. Log-in into user portal with an user not allowed to create VM from a template
2. Open "new VM" dialog
3. Select VM template
4. Fill-in VM name
5. Click to Ok buton

Actual results:
VM is not created, no error message is displayed, no part of dialog is highlighted. See screenshot simple.png. The error is hidden under "Show Advanced Options" button. See screenshot advanced-options.png.


Expected results:
A problematic part of the dialog is highlighted. View is switched to Advanced Options when necessary.

Comment 1 Petr Spacek 2014-04-08 13:25:59 UTC
Created attachment 884071 [details]
advanced options dialog with highlighted error

Comment 2 Petr Spacek 2014-04-08 13:26:50 UTC
Created attachment 884072 [details]
dialog without advanced options - error highlighting is missing here

Comment 3 Omer Frenkel 2014-04-09 07:41:47 UTC
Tomas, is it possible to jump to place of error in the dialog when clicking ok?

Comment 4 Tomas Jelinek 2014-04-10 06:57:51 UTC
@Omer - well, it is not that simple - where shell I jump if there where errors on more places? Especially if some are visible in basic context and some in advanced only? Also, the user could be a bit confused if after clicking ok he would end up in a totally different part of the same dialog.

A simpler solution would be to do this:
- you have the basic options shown only and have a validation error
- click ok
- if all the errors are only on fields which are visible in basic mode only, than do nothing
- if at least one error is visible in advanced mode, than show the advanced options (so the validation error place will be visible)

Would this be acceptable?

Comment 5 Tomas Jelinek 2014-04-10 07:09:05 UTC
*** Bug 1008426 has been marked as a duplicate of this bug. ***

Comment 6 Michal Skrivanek 2014-08-14 08:38:14 UTC
see https://bugzilla.redhat.com/show_bug.cgi?id=1128440#c9 for some further thoughts

Comment 8 Lukas Svaty 2014-10-06 13:09:04 UTC
verified in vt4

Comment 10 errata-xmlrpc 2015-02-11 18:00:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.